# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/00_utils.ipynb.

# %% auto 0
__all__ = ['part_check', 'row_check', 'empty_part', 'empty_row', 'full_row', 'get_first_full_row', 'get_first_empty_row',
           'get_first_non_empty_row', 'load_invoice_model']

# %% ../nbs/00_utils.ipynb 2
from .imports import *

# %% ../nbs/00_utils.ipynb 4
def part_check(p, check=[]):
    return p in check


def row_check(row, check=[], any=False):
    if any:
        return any([part_check(p, check) for p in row])
    else:
        return all([part_check(p, check) for p in row])


def empty_part(x):
    return part_check(x, ["", None])


def empty_row(x):
    return all([empty_part(i) for i in x])


def full_row(x):
    return all([not empty_part(i) for i in x])


def get_first_full_row(table):
    for i, t in enumerate(table):
        if full_row(t):
            return t, i
    return None, None


def get_first_empty_row(table):
    for i, t in enumerate(table):
        if empty_row(t):
            return t, i
    return None, None


def get_first_non_empty_row(table):
    for i, t in enumerate(table):
        if not empty_row(t):
            return t, i
    return None, None


def load_invoice_model(device="cuda:0"):
    return SetFitModel.from_pretrained(
        "HamzaFarhan/InvoiceOrNot", device=default_device(device)
    )
